<?php

namespace Drupal\simple_sitemap_hidden_language;

use Drupal\language\Entity\ConfigurableLanguage;

/**
 * Class HiddenLanguageManager.
 *
 * @package Drupal\simple_sitemap_hidden_language
 */
class HiddenLanguageManager {

  /**
   * Check if language is hidden or not.
   *
   * @param string $languageId
   *   The language id.
   *
   * @return bool
   *   True if language is hidden and False if not.
   */
  public function isHiddenLanguage($languageId) {
    $language = ConfigurableLanguage::load($languageId);
    if ($language) {
      return $language->getThirdPartySetting('hidden_language', 'hidden', FALSE);
    }
    return FALSE;
  }

}
